//>====================================================================================<
//  Menu:
//    - Skybox
//    - Assorted decals
//    - Foliage
//    - Water
//    - Terrain blends
//    - Light
//    - Others
//>====================================================================================<

//>====================================================================================<
//  Skybox by HipShot - http://zfight.com
//>====================================================================================<
textures/pandora/sky
{
	qer_editorimage textures/pandora/sky/clouds.tga
	q3map_lightmapFilterRadius 0 8
	q3map_noFog
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms - 2000 -
	q3map_surfacelight 180
	q3map_sun 1 .9 .8 40 40 70
	nopicmip
	{
		map textures/pandora/sky/clouds.tga
		tcMod scroll .005 .001
		tcmod scale 2 2
		rgbGen identityLighting
	}	
	{
		map textures/pandora/sky/lightning.jpg
		blendfunc add
		rgbGen wave noise 0 1 0 10 
		tcMod scale 0.20 0.20
		tcMod rotate 20
	}	
}

//>====================================================================================<
//  Assorted decals
//>====================================================================================<
//>------------------------------------------------------------------------<
// 1. textures from keres4 pack
//>------------------------------------------------------------------------<
textures/pandora/keres4_decal05
{
	qer_editorimage textures/pandora/keres4_decal05.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/pandora/keres4_decal05.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/pandora/keres4_decal06
{
	qer_editorimage textures/pandora/keres4_decal06.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/pandora/keres4_decal06.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/pandora/keres4_decal08
{
	qer_editorimage textures/pandora/keres4_decal08.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/pandora/keres4_decal08.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/pandora/keres4_decal10
{
	qer_editorimage textures/pandora/keres4_decal10.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/pandora/keres4_decal10.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/pandora/keres4_decal12
{
	qer_editorimage textures/pandora/keres4_decal12.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/pandora/keres4_decal12.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/pandora/keres4_decal17
{
	qer_editorimage textures/pandora/keres4_decal17.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/pandora/keres4_decal17.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/pandora/keres4_decal18
{
	qer_editorimage textures/pandora/keres4_decal18.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/pandora/keres4_decal18.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/pandora/keres4_decal19
{
	qer_editorimage textures/pandora/keres4_decal19.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/pandora/keres4_decal19.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/pandora/keres4_decal20
{
	qer_editorimage textures/pandora/keres4_decal20.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/pandora/keres4_decal20.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/pandora/keres4_decal31
{
	qer_editorimage textures/pandora/keres4_decal31.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/pandora/keres4_decal31.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/pandora/keres4_decal32
{
	qer_editorimage textures/pandora/keres4_decal32.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/pandora/keres4_decal32.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/pandora/keres4_decal33
{
	qer_editorimage textures/pandora/keres4_decal33.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/pandora/keres4_decal33.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/pandora/keres4_decal34
{
	qer_editorimage textures/pandora/keres4_decal34.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/pandora/keres4_decal34.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
textures/pandora/keres4_decal36
{
	qer_editorimage textures/pandora/keres4_decal36.jpg
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		map textures/pandora/keres4_decal36.jpg
		blendfunc gl_dst_color gl_src_color
	}
}
//>------------------------------------------------------------------------<
// 2. textures from yan_test.pk4 by Method - http://www.methodonline.com
//>------------------------------------------------------------------------<
textures/pandora/dirt
{
	qer_editorimage textures/pandora/dirt.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/pandora/dirt.tga
		blendfunc gl_dst_color gl_src_color
	}
}

textures/pandora/dirt4
{
	qer_editorimage textures/pandora/dirt4.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/pandora/dirt4.tga
		blendfunc gl_dst_color gl_src_color
	}
}
textures/pandora/dirt7
{
	qer_editorimage textures/pandora/dirt7.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/pandora/dirt7.tga
		blendfunc gl_dst_color gl_src_color
	}
}
//>====================================================================================<
//  Foliage 
//  shaders and textures from ut4_kingdom_rc6 by Papyrunny
//>====================================================================================<
textures/pandora/lierre02
{ 
	surfaceparm alphashadow
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks 
	nopicmip
        deformVertexes wave 50 sin 0 .3 0 .3
	{
            map textures/pandora/lierre02.tga
 		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}
textures/pandora/lierre03
{ 
	surfaceparm alphashadow
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks 
	nopicmip
        deformVertexes wave 50 sin 0 .3 0 .3
	{
            map textures/pandora/lierre03.tga
 		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}
textures/pandora/lierre04
{ 
	surfaceparm alphashadow
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks 
	nopicmip
        deformVertexes wave 50 sin 0 .3 0 .3
	{
            map textures/pandora/lierre04.tga
 		rgbGen vertex
		depthWrite
		alphaFunc GE128
	}
}
//>====================================================================================<
//  Water using fancy water effect from 4.2
//  shaders and textures from ut4_facade_b5 by Delirium
//>====================================================================================<
textures/pandora/water
{
	q3map_fancywater 10 0.85 0.8 0.75

	qer_editorimage textures/pandora/water.tga
        qer_trans 0.5
        q3map_globaltexture
	q3map_cheapwater 1 0.9 0.9 1

        surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
        surfaceparm water

        cull none
	nopicmip
	//fogparms ( 0.1 0.23 0.14 ) 1024
        {
            map textures/pandora/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 0.5 0.5
	    tcMod turb 0.1 0.1 0.1 .1
        }
        {
            map textures/pandora/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scroll .05 -.01
        }
        {
            map textures/pandora/water.tga
            blendFunc blend
	    alphaGen const 0.1
            rgbGen identity
            tcMod scale 2 2
	    tcMod turb 0 0.1 1 .1
        }
}

//>====================================================================================<
//  Terrain blends - shader & textures by Sims - www.simonoc.com
//>====================================================================================<
//>------------------------------------------------------------------------<
// 1. Ground
//>------------------------------------------------------------------------<
textures/pandora/ter_mossmud
{
	qer_editorimage textures/pandora/ter_mossmud.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/pandora/ter_moss1.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/pandora/ter_mud1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/pandora/ter_rockmud
{
	qer_editorimage textures/pandora/ter_rockmud.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/pandora/rock_grey3.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/pandora/ter_mud1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/pandora/ter_rocksand
{
	qer_editorimage textures/pandora/ter_rocksand.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/pandora/rock_grey3.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/pandora/ter_sand1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
//>------------------------------------------------------------------------<
// 2. Rock
//>------------------------------------------------------------------------<
textures/pandora/rock_grey2
{
	qer_editorimage textures/pandora/rock_grey2.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pandora/rock_grey2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
//>------------------------------------------------------------------------<
// 3. Alpha channel
//>------------------------------------------------------------------------<
textures/pandora/alpha_100
{
	qer_editorimage textures/pandora/alpha_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
//>====================================================================================<
//  Light
//>====================================================================================<
textures/pandora/light01
{
	qer_editorimage textures/urban_terror4/whitelight.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 12000
	q3map_lightsubdivide 128

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/urban_terror4/whitelight.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/urban_terror4/whitelight.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/pandora/light02
{
	qer_editorimage textures/urban_light/yellowblend
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 12000
	q3map_lightsubdivide 128

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/urban_light/yellowblend
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/urban_light/yellowblend
		blendfunc GL_ONE GL_ONE
	}
}
//>====================================================================================<
//  Others
//>====================================================================================<
//>------------------------------------------------------------------------<
// 1. Glassclear
//>------------------------------------------------------------------------<
textures/pandora/glassclear
{
	qer_editorimage textures/effects/tinfx3.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/effects/tinfx3.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}
//>------------------------------------------------------------------------<
// 2. Beam
//>------------------------------------------------------------------------<
textures/pandora/beam
{
	qer_editorimage textures/pandora/beam.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip

	{
		map textures/pandora/beam.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//>------------------------------------------------------------------------<
// 3. Skip
//>------------------------------------------------------------------------<
textures/pandora/skip
{	
	qer_editorimage textures/pandora/skip.tga
	qer_nocarve
	qer_trans 0.3
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm skip
	surfaceparm structural
	surfaceparm trans
}
//>------------------------------------------------------------------------<
// 4. Door light
//>------------------------------------------------------------------------<
textures/pandora/pk01_door01a_d
{
	qer_editorimage textures/pandora/pk01_door01a_d
	nopicmip
	{
		map textures/pandora/pk01_door01a_d
		rgbgen identity
	}
	{
		map textures/pandora/pk01_door01_add
		blendfunc add
		rgbGen wave noise 0.5 1 0 5.37
		alphaGen wave sin 0.5 0.3 0.25 1.5
	}
	{
		map $lightmap
		blendfunc filter
	}
}

//>------------------------------------------------------------------------<
// 5. Panels light
//>------------------------------------------------------------------------<
textures/pandora/pk01_panel_small01_d
{
	qer_editorimage textures/pandora/pk01_panel_small01_d
	nopicmip
	{
		map textures/pandora/pk01_panel_small01_d
		rgbgen identity
	}
	{
		map textures/pandora/pk01_panel_small01_add
		blendfunc add
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/pandora/pk01_panel_small02_d
{
	qer_editorimage textures/pandora/pk01_panel_small02_d
	nopicmip
	{
		map textures/pandora/pk01_panel_small02_d
		rgbgen identity
	}
	{
		map textures/pandora/pk01_panel_small02_add
		blendfunc add
		rgbGen wave noise 0.5 1 0 5.37
		alphaGen wave sin 0.5 0.3 0.25 1.5
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/pandora/pk01_panel03a_d_1
{
	qer_editorimage textures/pandora/pk01_panel03a_d_1
	nopicmip
	{
		map textures/pandora/pk01_panel03a_d_1
		rgbgen identity
	}
	{
		map textures/pandora/pk01_panel03a_add
		blendfunc add
		rgbGen wave noise 0.5 1 0 5.37
		alphaGen wave sin 0.5 0.3 0.25 1.5
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/pandora/pk01_panel02_d_1
{
	qer_editorimage textures/pandora/pk01_panel02_d_1
	nopicmip
	{
		map textures/pandora/pk01_panel02_d_1
		rgbgen identity
	}
	{
		map textures/pandora/pk01_panel02_add
		blendfunc add
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/pandora/pk01_trims01b_d
{
	qer_editorimage textures/pandora/pk01_trims01b_d
	q3map_surfacelight 100
	nopicmip
	{
		map textures/pandora/pk01_trims01b_d
		rgbgen identity
	}
	{
		map textures/pandora/pk01_trims01b_add
		blendfunc add
	}
	{
		map $lightmap
		blendfunc filter
	}
}
//>------------------------------------------------------------------------<
// 6. Screen (control center room)
//>------------------------------------------------------------------------<
textures/pandora/screen
{
	qer_editorimage textures/pandora/screen.tga
	qer_trans 0.5
	{
		map textures/pandora/screen.tga
		alphaGen const 0.5
		blendfunc blend
	}
}